#!/bin/bash

mkdir -p count3_4_4_1/
mkdir -p figure3_4_4_1/
mkdir -p problem3_4_4_3/


gcc -o 	problem3_4_4_1.exe 	problem3_4_4_1.c 	dSFMT.c

./problem3_4_4_1.exe


##drawing

for((i=1;i<=20;i++))
do

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "figure3_4_4_1/figure_${i}.eps"
set size 0.6,0.6
set xrange [-20 : 20]
set xlabel "X"
set ylabel "P(x : t=${i})"
plot "count3_4_4_1/count_${i}.dat" u 1:(\$2/10000) w impulses noti
EOF

done


gcc -o 	problem3_4_4_3.exe 	problem3_4_4_3.c 	dSFMT.c

./problem3_4_4_3.exe



gnuplot <<EOF
set terminal postscript eps enhanced color
set output "problem3_4_4_3/problem3_4_4_3.eps"
set size 0.6,0.6
set xlabel "p"
set ylabel "V"
set xrange [0:1]
set yrange [0:0.5]
set key left
plot "problem3_4_4_3/expand10.dat" u 1:2  w p title "t=10" pt 7  lc rgb "red",\
	 "problem3_4_4_3/expand15.dat" u 1:2  w p title "t=15" pt 7  lc rgb "green" ,\
	0.5*x w l title "V=0.5p" lt 2 lc rgb "gray50"
EOF
